<?php
/************************************************************/
/* Theme Name: bluely    (v1.2)                             */
/* Copyright (c) 2002 XooPs (http://www.xoops.org)          */
/* Created by Xend  (http://www.xendtech.com)               */
/* Last Updated: 02/01/2002                                 */
/************************************************************/

 $xoopsTheme['thename'] = "bluely";

/************************************************************/
/* OpenTable Functions                                      */
/*                                                          */
/* Define the tables look&feel for you whole site. For this */
/* we have two options: OpenTable and OpenTable2 functions. */
/* Then we have CloseTable and CloseTable2 function to      */
/* properly close our tables. The difference is that        */
/* OpenTable has a 100% width and OpenTable2 has a width    */
/* according with the table content                         */
/************************************************************/

function OpenTable($width="100%") {
 global $xoopsTheme;
 echo "&nbsp;<table width='".$width."' border='0' cellspacing='1' cellpadding='0' bgcolor='#8AA3AF'><tr><td valign='top'>\n";
 echo "<table width='100%' border='0' cellspacing='1' cellpadding='8'><tr><td class='bg1' valign='top'>\n";
 }
function CloseTable() {
 echo "</td></tr></table></td></tr></table>\n";
 }
/************************************************************/
/* Function themeheader()                                   */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/
function themeheader($show_rblock){
 global $xoopsConfig, $xoopsTheme;
 echo "</head><body>\n";
 echo"<table border='0' cellpadding='0' cellspacing='0' width='100%'>"
    ."<tr height='90'>"
    //Logo max 160px
    ."<td width='170' height='90' class='tb1'><a href='".XOOPS_URL."/'><img src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/logo.gif' width='170' height='60' border='0' /></a></td>"
    ."<td height='90' align='center' valign='middle' class='tb2'>";
 if ($xoopsConfig['banners']) {
    showbanner();
    }else{
    echo"&nbsp;";
    }
 echo"</td>"
    ."</tr>"
    ."<tr>"
    ."<td width='170' class='tb3' valign='top'>";
     make_sidebar("left");
 echo"<br />";
 echo"</td>"
    ."<td class='tb13' valign='top'>"
    ."<table border='0' cellpadding='0' cellspacing='0' width='100%' height='100%'>"
    ."<tr>"
    ."<td height='20' colspan='5' class='tb5' align='center' valign='middle'>";
  //Plase to putt some link's in
 echo"&nbsp;";
 echo"</td>"
    ."</tr>"
    ."<tr>"
    ."<td width='30' class='tb6'>&nbsp;</td>"
    ."<td class='tb7'' valign='top' colspan='2'>";
}

/************************************************************/
/* Function themefooter()                                   */
/*                                                          */
/* Control the footer for your site. You don't need to      */
/* close BODY and HTML tags at the end. In some part call   */
/* the function for right blocks with: blocks(right);       */
/* Also, $index variable need to be global and is used to   */
/* determine if the page your're viewing is the Homepage or */
/* and internal one.                                        */
/************************************************************/

function themefooter($show_rblock, $footer){
 echo"</td>";
 echo"<td width='30' class='tb8'>&nbsp;</td>";
 if ( $show_rblock ) {
 // Set width for right sidebox here. I have set it to 300.
 echo"<td width='210' class='tb9' valign='top'>";
      OpenTable();
      make_sidebar("right");
      CloseTable();
 echo"</td>";
      }
 echo"</tr>"
    ."<tr>"
    ."<td colspan='5' class='tb10' align='center' valign='middle'>";
 //Plase to putt some link's in
 echo"&nbsp;";
 echo"</td>"
    ."</tr>"
    ."</table>"
    ."</td>"
    ."</tr>"
    ."<tr height='50'>"
    ."<td width='50' height='50' class='tb11'>&nbsp;</td>"
    ."<td height='50'class='tb12' align='center' valign='middle'>";
 echo $footer;
 echo"</td>"
    ."</tr>"
    ."</table>";
 }
/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/
function themesidebox($title, $content) {

 echo"<table class='leftbox' width='100%'>"
    ."<tr>"
    ."<td colspan='1' class='sideboxtitle'><center>$title</center></td>"
    ."</tr>"
    ."<tr>"
    ."<td class='sideboxcontent'>$content</td>"
    ."</tr>"
    ."</table>";

 }
 function themesidebox_right($title, $content) {
 echo"<table class='rightbox' width='100%'>"
    ."<tr>"
    ."<td colspan='1' class='sideboxtitle2'><center>$title</center></td>"
    ."</tr>"
    ."<tr>"
    ."<td class='sideboxcontent'>$content</td>"
    ."</tr>"
    ."</table>";

 }
/************************************************************/
/* Function themecenterposts()                              */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/
function themecenterposts($title, $content) {
 echo"<table border='0' cellpadding='3' cellspacing='5' width='100%'>"
    ."<tr>"
    ."<td class='sideboxtitle2'>$title</td>"
    ."</tr>"
    ."<tr><td class='sideboxcontent'>$content</td>"
    ."</tr>"
    ."</table>";
 }
?>
